DIRCOLORS(1)

NOM
dircolors - Configuration des couleurs pour « ls »

SYNOPSIS
dircolors [-b] [--sh] [--bourne-shell] [-c] [--csh] [--c-shell] [-p] [--print-database] [--help] [--version] [FICHIER]

DESCRIPTION
dircolors affiche une liste de commandes shell permettant de définir les couleurs d'affichage de ls (et dir, etc...).
Utilisation typique :
    eval `dircolors [OPTION]... [FICHIER]`

Si un FICHIER est indiqué, dircolors le lira pour déterminer les couleurs à utiliser pour chaque type de fichiers. Sinon, une base de données précompilées est utilisée. Pour des détails sur le format du fichier, invoquez « dircolors -p ».

La sortie est une commande shell permettant de configurer la variable d'environnement LS_COLORS. Vous pouvez indiquer, sur la ligne de commande, la syntaxe shell à employer ou dircolors essayera de la déterminer à partir de la variable d'environnement SHELL.

Après exécution de cette commande, « ls --color » (que l'on peut fournir comme alias de ls) affichera les fichiers avec les couleurs désirées.

OPTIONS

-b, --sh, --bourne-shell
    Fournir des commandes pour un shell Bourne. C'est le comportement par défaut si la variable d'environnement SHELL existe, et ne se termine pas par csh ou tcsh.

-c, --csh, --c-shell
    Fournir des commandes pour un shell C. C'est le comportement par défaut si la variable d'environnement SHELL se termine par csh ou csh.

-p, --print-database
    Afficher la base de données des couleurs par défaut (fixée à la compilation). Cette sortie est elle-même un fichier de configuration valide, et est assez explicite concernant l'ensemble des possibilités.

OPTIONS STANDARDS GNU

--help
    Afficher un message d'aide sur la sortie standard, et terminer correctement.

--version
    Afficher un numéro de version sur la sortie standard, et terminer correctement.

--  Fin de la liste d'options.

ENVIRONNEMENT
Les variables LANG, LC_ALL, LC_CTYPE et LC_MESSAGES ont leurs significations habituelles. Les variables SHELL et TERM sont utilisées pour déterminer la syntaxe de la commande shell. La variable LS_COLORS sert à fournir les informations pour ls.

CONFORMITÉ
La sortie colorée de ls(1) est une extension GNU. Cette implémentation n'est pas tout à fait compatible avec le paquetage dircolors/color-ls original de la distribution Linux Slackware. En particulier, les supports spécifiques des shells Z et Korn en sont absents. Les utilisateurs de ces shells devraient employer le mode Bourne shell (-b).

FICHIERS
Le programme dircolors lui-même n'utilise pas de fichier de configuration. Néanmoins, les scripts d'initialisation du shell invoquent, pour le personnaliser, dircolors avec l'un des fichiers suivants :

/etc/DIR_COLORS
    Fichier de configuration global pour le système.

~/.dir_colors
    Fichier de configuration personnel pour un utilisateur.

NOTES
Cette page décrit la version de dircolors trouvée dans le paquetage fileutils-4.0, d'autres versions peuvent différer légèrement.

VOIR AUSSI
ls(1), dir_colors(5)

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 14 décembre 1998 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 dircolors ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.